Loading...
Searching...
No Matches
ranges::views::view_closure_base Struct Reference
Inheritance diagram for ranges::views::view_closure_base:

## Friends

template<typename Rng , typename ViewFn > requires range<Rng> && (!viewable_range<Rng>)
constexpr auto | operator| (Rng &&, view_closure< ViewFn > const &) -> Rng=delete
template<typename Rng , typename ViewFn > requires viewable_range<Rng> && invocable_view_closure<ViewFn, Rng>
constexpr auto | operator| (Rng &&rng, view_closure< ViewFn > vw)
template<typename ViewFn , typename Pipeable > requires (is_pipeable_v<Pipeable>)
constexpr auto | operator| (view_closure< ViewFn > vw, Pipeable pipe) -> view_closure< composed< Pipeable, ViewFn > >